import { FunctionAlarms, FunctionAlarmsOptions } from "./function-alarms";
import { DeployedFunctionOptions } from "./deployed-function";
import * as lambda from "aws-cdk-lib/aws-lambda";
import { Construct } from "constructs";
import { FunctionDeployment } from "./function-deployment";
/**
 * Properties for Function
 */
export interface FunctionProps extends lambda.FunctionProps, FunctionAlarmsOptions, DeployedFunctionOptions {
}
/**
 * Extended version of Function that supports alarms and deployments.
 */
export declare class Function extends lambda.Function {
    readonly alarms: FunctionAlarms;
    readonly deployment: FunctionDeployment;
    constructor(scope: Construct, id: string, props: FunctionProps);
}
